
/* 
 * Copyright (c) 1993-2003,2012 LAAS/CNRS
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/*------------------  Fichier gnr automatiquement ------------------*/
/*------------------  Ne pas diter manuellement !!! ------------------*/

#ifndef mouse3d_POSTER_LIB_H
#define mouse3d_POSTER_LIB_H

#include "posterLib.h"
#include "genom/genom.h"

/* Types definis ou utilises par le module */
#include "mouse3dType.h"
#include "mouse3dError.h"

/* 
 * Definition de la SDI_C 
*/
typedef struct {
  CNTRL_TASK_DESCRIPTION cntrlTask;
  EXEC_TASK_DESCRIPTION execTaskTab[MOUSE3D_NB_EXEC_TASK];
  ACTIVITY_DESCRIPTION activityTab[MAX_ACTIVITIES];
} MOUSE3D_CNTRL_STR;

/* For consistency with other posters */
typedef MOUSE3D_CNTRL_STR MOUSE3D_CNTRL_POSTER_STR;
 
/* 
 * Definition des structures de posters
 */
#include "mouse3dPosterLibStruct.h"



/* Posters */
#define MOUSE3D_CNTRL_POSTER_NAME genomInstanceSuffixName("mouse3d", "Cntrl")
#define MOUSE3D_MEASURES_POSTER_NAME genomInstanceSuffixName("mouse3d", "Measures")


/*---------------- PROTOTYPES DES FONCTIONS EXTERNES ------------------*/

#ifdef __cplusplus
extern "C" {
#endif
extern STATUS mouse3dPosterInit ( void );
extern POSTER_ID mouse3dCntrlPosterID ();
extern STATUS mouse3dCntrlPosterRead ( MOUSE3D_CNTRL_STR *mouse3dCntrlStrId );
extern STATUS mouse3dCntrlPosterInit ( void );
extern STATUS mouse3dCntrlInstancePosterRead(const char *name, MOUSE3D_CNTRL_STR *mouse3dCntrlStrId);
extern STATUS mouse3dMeasuresPosterInit ( void );
extern POSTER_ID mouse3dMeasuresPosterID ( void );
extern STATUS mouse3dMeasuresPosterRead ( MOUSE3D_MEASURES_POSTER_STR *x );
extern STATUS mouse3dMeasuresInstancePosterRead ( const char *, MOUSE3D_MEASURES_POSTER_STR * );
extern STATUS mouse3dMeasuresmeasuresPosterRead ( GENMANIP_MOUSE3D_STR *measures );
extern STATUS mouse3dMeasuresmeasuresInstancePosterRead( const char *, GENMANIP_MOUSE3D_STR * );
#ifdef __cplusplus
}
#endif
#endif

